package cn.superdesk.uniorder.dto.vo.kafka;

import java.io.Serializable;
import java.util.Date;


@Deprecated
public class CompanyEntity implements Serializable {
	/**
	 *
	 */
	private static final long serialVersionUID = -667398205430413956L;

	/**
	 * ID
	 */
	private Integer id;

	/**
	 * 公司编号
	 */
	private String code;

	/**
	 * 公司名称
	 */
	private String name;

	/**
	 * 公司简称
	 */
	private String shortName;

	/**
	 * 公司logo
	 */
	private String logo;

	/**
	 * 负责人姓名
	 */
	private String leaderName;

	/**
	 * 负责人电话
	 */
	private String leaderPhone;

	/**
	 * 组织服务项目类型(高校校园、小区住宅、CBD写字楼)
	 */
	private Integer type;

	/**
	 * 手机
	 */
	private String telephone;

	/**
	 * 所属机构
	 */
	private String belongGroup;

	/**
	 * 详细地址
	 */
	private String address;

	/**
	 * 备注
	 */
	private String remark;

	/**
	 * 创建人
	 */
	private Integer createdBy;

	/**
	 * 创建时间
	 */
	private Date createdAt;

	/**
	 * 修改人
	 */
	private Integer updatedBy;

	/**
	 * 修改时间
	 */
	private Date updatedAt;

	/**
	 * 是否可用,1-可用,0-不可用
	 */
	private Integer enabled;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getShortName() {
		return shortName;
	}

	public void setShortName(String shortName) {
		this.shortName = shortName;
	}

	public String getLogo() {
		return logo;
	}

	public void setLogo(String logo) {
		this.logo = logo;
	}

	public String getLeaderName() {
		return leaderName;
	}

	public void setLeaderName(String leaderName) {
		this.leaderName = leaderName;
	}

	public String getLeaderPhone() {
		return leaderPhone;
	}

	public void setLeaderPhone(String leaderPhone) {
		this.leaderPhone = leaderPhone;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public String getTelephone() {
		return telephone;
	}

	public void setTelephone(String telephone) {
		this.telephone = telephone;
	}

	public String getBelongGroup() {
		return belongGroup;
	}

	public void setBelongGroup(String belongGroup) {
		this.belongGroup = belongGroup;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Integer getCreatedBy() {
		return createdBy;
	}

	public void setCreatedBy(Integer createdBy) {
		this.createdBy = createdBy;
	}

	public Date getCreatedAt() {
		return createdAt;
	}

	public void setCreatedAt(Date createdAt) {
		this.createdAt = createdAt;
	}

	public Integer getUpdatedBy() {
		return updatedBy;
	}

	public void setUpdatedBy(Integer updatedBy) {
		this.updatedBy = updatedBy;
	}

	public Date getUpdatedAt() {
		return updatedAt;
	}

	public void setUpdatedAt(Date updatedAt) {
		this.updatedAt = updatedAt;
	}

	public Integer getEnabled() {
		return enabled;
	}

	public void setEnabled(Integer enabled) {
		this.enabled = enabled;
	}


}
